unofficial mirror of notmuch@notmuchmail.org
 help / color / Atom feed
* python: Update tox.ini for python 3.8
@ 2020-06-14 19:25 Floris Bruynooghe
  2020-06-14 19:25 ` [PATCH] Update tox.ini for python3.8 and fix pypy3.6 Floris Bruynooghe
  0 siblings, 1 reply; 7+ messages in thread
From: Floris Bruynooghe @ 2020-06-14 19:25 UTC (permalink / raw)
  To: notmuch

This was released a while ago, we should support it.


^ permalink raw reply	[flat|nested] 7+ messages in thread

* [PATCH] Update tox.ini for python3.8 and fix pypy3.6
  2020-06-14 19:25 python: Update tox.ini for python 3.8 Floris Bruynooghe
@ 2020-06-14 19:25 ` Floris Bruynooghe
  2020-06-15 10:06   ` David Bremner
  2020-06-15 15:41   ` David Bremner
  0 siblings, 2 replies; 7+ messages in thread
From: Floris Bruynooghe @ 2020-06-14 19:25 UTC (permalink / raw)
  To: notmuch

Python 3.8 has been released for a while now, make sure we keep
supporting it correctly.

PyPy 3.6 wasn not configured correctly.
---
 bindings/python-cffi/tox.ini | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/bindings/python-cffi/tox.ini b/bindings/python-cffi/tox.ini
index 34148a11..7cf93be0 100644
--- a/bindings/python-cffi/tox.ini
+++ b/bindings/python-cffi/tox.ini
@@ -3,7 +3,7 @@ minversion = 3.0
 addopts = -ra --cov=notmuch2 --cov=tests
 
 [tox]
-envlist = py35,py36,py37,pypy35,pypy36
+envlist = py35,py36,py37,py38,pypy35,pypy36
 
 [testenv]
 deps =
@@ -14,3 +14,6 @@ commands = pytest --cov={envsitepackagesdir}/notmuch2 {posargs}
 
 [testenv:pypy35]
 basepython = pypy3.5
+
+[testenv:pypy36]
+basepython = pypy3.6
-- 
2.27.0

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PATCH] Update tox.ini for python3.8 and fix pypy3.6
  2020-06-14 19:25 ` [PATCH] Update tox.ini for python3.8 and fix pypy3.6 Floris Bruynooghe
@ 2020-06-15 10:06   ` David Bremner
  2020-06-15 12:15     ` Tomi Ollila
  2020-06-15 20:00     ` Floris Bruynooghe
  2020-06-15 15:41   ` David Bremner
  1 sibling, 2 replies; 7+ messages in thread
From: David Bremner @ 2020-06-15 10:06 UTC (permalink / raw)
  To: Floris Bruynooghe, notmuch

Floris Bruynooghe <flub@devork.be> writes:

>  [testenv]
>  deps =
> @@ -14,3 +14,6 @@ commands = pytest --cov={envsitepackagesdir}/notmuch2 {posargs}
>  
>  [testenv:pypy35]
>  basepython = pypy3.5
> +
> +[testenv:pypy36]
> +basepython = pypy3.6

I'm not an expert, but should python 3.7 and python 3.8 have similar
clauses? Or do they work by default?

d



^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PATCH] Update tox.ini for python3.8 and fix pypy3.6
  2020-06-15 10:06   ` David Bremner
@ 2020-06-15 12:15     ` Tomi Ollila
  2020-06-15 12:36       ` David Bremner
  2020-06-15 20:00     ` Floris Bruynooghe
  1 sibling, 1 reply; 7+ messages in thread
From: Tomi Ollila @ 2020-06-15 12:15 UTC (permalink / raw)
  To: David Bremner, Floris Bruynooghe, notmuch

On Mon, Jun 15 2020, David Bremner wrote:

> Floris Bruynooghe <flub@devork.be> writes:
>
>>  [testenv]
>>  deps =
>> @@ -14,3 +14,6 @@ commands = pytest --cov={envsitepackagesdir}/notmuch2 {posargs}
>>  
>>  [testenv:pypy35]
>>  basepython = pypy3.5
>> +
>> +[testenv:pypy36]
>> +basepython = pypy3.6
>
> I'm not an expert, but should python 3.7 and python 3.8 have similar
> clauses? Or do they work by default?

"Python 3.6 compatible PyPy3.6 v7.3.1" in https://www.pypy.org/download.html
hints there are not (yet) pypy3.7 nor pypy3.8

>
> d

Tomi

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PATCH] Update tox.ini for python3.8 and fix pypy3.6
  2020-06-15 12:15     ` Tomi Ollila
@ 2020-06-15 12:36       ` David Bremner
  0 siblings, 0 replies; 7+ messages in thread
From: David Bremner @ 2020-06-15 12:36 UTC (permalink / raw)
  To: Tomi Ollila, Floris Bruynooghe, notmuch

Tomi Ollila <tomi.ollila@iki.fi> writes:

> On Mon, Jun 15 2020, David Bremner wrote:
>
>> Floris Bruynooghe <flub@devork.be> writes:
>>
>>>  [testenv]
>>>  deps =
>>> @@ -14,3 +14,6 @@ commands = pytest --cov={envsitepackagesdir}/notmuch2 {posargs}
>>>  
>>>  [testenv:pypy35]
>>>  basepython = pypy3.5
>>> +
>>> +[testenv:pypy36]
>>> +basepython = pypy3.6
>>
>> I'm not an expert, but should python 3.7 and python 3.8 have similar
>> clauses? Or do they work by default?
>
> "Python 3.6 compatible PyPy3.6 v7.3.1" in https://www.pypy.org/download.html
> hints there are not (yet) pypy3.7 nor pypy3.8

Oh sorry. I really should read better. I even knew that about pypy. OK,
no objections to the patch as is.

d

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PATCH] Update tox.ini for python3.8 and fix pypy3.6
  2020-06-14 19:25 ` [PATCH] Update tox.ini for python3.8 and fix pypy3.6 Floris Bruynooghe
  2020-06-15 10:06   ` David Bremner
@ 2020-06-15 15:41   ` David Bremner
  1 sibling, 0 replies; 7+ messages in thread
From: David Bremner @ 2020-06-15 15:41 UTC (permalink / raw)
  To: Floris Bruynooghe, notmuch

Floris Bruynooghe <flub@devork.be> writes:

> Python 3.8 has been released for a while now, make sure we keep
> supporting it correctly.
>
> PyPy 3.6 wasn not configured correctly.

merged to origin and master

d

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PATCH] Update tox.ini for python3.8 and fix pypy3.6
  2020-06-15 10:06   ` David Bremner
  2020-06-15 12:15     ` Tomi Ollila
@ 2020-06-15 20:00     ` Floris Bruynooghe
  1 sibling, 0 replies; 7+ messages in thread
From: Floris Bruynooghe @ 2020-06-15 20:00 UTC (permalink / raw)
  To: David Bremner, notmuch

On Mon 15 Jun 2020 at 07:06 -0300, David Bremner wrote:

> Floris Bruynooghe <flub@devork.be> writes:
>
>>  [testenv]
>>  deps =
>> @@ -14,3 +14,6 @@ commands = pytest --cov={envsitepackagesdir}/notmuch2 {posargs}
>>  
>>  [testenv:pypy35]
>>  basepython = pypy3.5
>> +
>> +[testenv:pypy36]
>> +basepython = pypy3.6
>
> I'm not an expert, but should python 3.7 and python 3.8 have similar
> clauses? Or do they work by default?

They do work by default.  But to be honest these two pypy ones are not
fully standardised and rely on me manually ensuring I have both a
pypy3.5 and pypy3.6 binary on my path.  The default thing that works is
just a "pypy3" which doesn't give you any guarantees over the version
you get (other than not pypy2).

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, back to index

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-06-14 19:25 python: Update tox.ini for python 3.8 Floris Bruynooghe
2020-06-14 19:25 ` [PATCH] Update tox.ini for python3.8 and fix pypy3.6 Floris Bruynooghe
2020-06-15 10:06   ` David Bremner
2020-06-15 12:15     ` Tomi Ollila
2020-06-15 12:36       ` David Bremner
2020-06-15 20:00     ` Floris Bruynooghe
2020-06-15 15:41   ` David Bremner

unofficial mirror of notmuch@notmuchmail.org

Archives are clonable:
	git clone --mirror https://yhetil.org/notmuch/0 notmuch/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 notmuch notmuch/ https://yhetil.org/notmuch \
		notmuch@notmuchmail.org
	public-inbox-index notmuch

Example config snippet for mirrors

Newsgroups are available over NNTP:
	nntp://news.yhetil.org/yhetil.mail.notmuch.general
	nntp://news.gmane.io/gmane.mail.notmuch.general


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git